"""Submodule for NeuroKit."""

from ._warnings import NeuroKitWarning
from .check_type import check_type
from .copyfunction import copyfunction
from .expspace import expspace
from .find_closest import find_closest
from .find_consecutive import find_consecutive
from .find_groups import find_groups
from .find_knee import find_knee
from .find_outliers import find_outliers
from .find_plateau import find_plateau
from .listify import listify
from .parallel_run import parallel_run
from .progress_bar import progress_bar
from .replace import replace
from .type_converters import as_vector

__all__ = [
    "listify",
    "find_closest",
    "find_consecutive",
    "find_groups",
    "find_knee",
    "as_vector",
    "expspace",
    "replace",
    "NeuroKitWarning",
    "check_type",
    "find_outliers",
    "parallel_run",
    "progress_bar",
    "find_plateau",
    "copyfunction",
]
